# 项目相关配置
ruoyi:
  # 名称
  name: 恰恰吃
  # 版本
  version: 1.0.2
  # 版权年份
  copyrightYear: 2023
  # 实例演示开关
  demoEnabled: true

#  profile: D:/ruoyi/uploadPath
  profile: /www/wwwroot/ foodieapi.waimai-paotui.com/uploadPath

  # 获取ip地址开关
  addressEnabled: false
  # 验证码类型 math 数组计算 char 字符验证
  captchaType: math

# 开发环境配置
server:
  # 服务器的HTTP端口，默认为8080
  port: 8082
  servlet:
    # 应用的访问路径
    context-path: /
  tomcat:
    # tomcat的URI编码
    uri-encoding: UTF-8
    # 连接数满后的排队数，默认为100
    accept-count: 1000
    threads:
      # tomcat最大线程数，默认为200
      max: 800
      # Tomcat启动初始化的线程数，默认值10
      min-spare: 100

# 日志配置
logging:
  level:
    com.ruoyi: debug
    org.springframework: warn

# 用户配置
user:
  password:
    # 密码最大错误次数
    maxRetryCount: 5
    # 密码锁定时间（默认10分钟）
    lockTime: 10
spring:
  # 模板引擎
  thymeleaf:
    mode: HTML
    encoding: utf-8
    cache: false
  # 资源信息
  messages:
    # 国际化资源文件路径
    basename: i18n/messages
  profiles:
    active: druid
  # 文件上传
  servlet:
     multipart:
       # 单个文件大小
       max-file-size:  300MB
       # 设置总上传的文件大小
       max-request-size:  500MB
  # 服务模块
  devtools:
    restart:
      # 热部署开关
      enabled: true
  # redis 配置
  data:
    redis:
      # 地址
      host: localhost
      # 端口，默认为6379
      port: 6379
      # 数据库索引
      database: 1
      # 密码
      password:
      # 连接超时时间
      timeout: 10s
      lettuce:
        pool:
          # 连接池中的最小空闲连接
          min-idle: 0
          # 连接池中的最大空闲连接
          max-idle: 8
          # 连接池的最大数据库连接数
          max-active: 8
          # #连接池最大阻塞等待时间（使用负值表示没有限制）
          max-wait: -1ms
  redisson:
    address: redis://127.0.0.1:6379
    # password: 不要写这一行

# token配置
token:
    # 令牌自定义标识
    header: Authorization
    # 令牌密钥
    secret: abcdefghijklmnopqrstuvwxyz
    # 令牌有效期（默认30分钟）
    expireTime: 30

# MyBatis配置
mybatis-plus:
  # 搜索指定包别名
  typeAliasesPackage: com.ruoyi.**.domain
  # 配置mapper的扫描，找到所有的mapper.xml映射文件
  mapperLocations: classpath*:mapper/**/*Mapper.xml
  # 加载全局的配置文件
  configLocation: classpath:mybatis/mybatis-config.xml

# PageHelper分页插件
pagehelper:
  helperDialect: mysql
  supportMethodsArguments: true
  params: count=countSql

# Swagger配置
swagger:
  # 是否开启swagger
  enabled: true
  # 请求前缀
  pathMapping: /dev-api

# 防止XSS攻击
xss:
  # 过滤开关
  enabled: false
  # 排除链接（多个用逗号分隔）
  excludes: /system/notice/*,/dev-api/profile/*,/system/profile/*
  # 匹配链接
  urlPatterns: /system/*,/monitor/*,/tool/*
# Minio配置
minio:
  url: http://localhost:9000
  accessKey: minioadmin
  secretKey: minioadmin
  bucketName: ruoyi
# 沙箱环境参数 START ZaloPay支付配置
zalo:
  pay:
    configs:
      - app_id: "4514"
        key1: "DzdAnAuPsIsQbfpZ8nDOqWRt4ZNBhrg6"
        key2: "grDK67uf4zvUZuuZd4g1Zpj4PHJa3HzC"
        pay_type: "3"
        description: "钱包支付"
      - app_id: "4515"
        key1: "XHY56ATseHKddPmgWtbFI0yUev37dEW8"
        key2: "4X61sJFkxZoVozDgkrV3DjEZyTvCdGoz"
        pay_type: "4"
        description: "二维码支付"
      - app_id: "4516"
        key1: "RhqYGAqKeoZf2ZNxTw0gXYhb9KoLZPzg"
        key2: "D6RZsLeZvGIRXp43iMsp8o52gPPCq96H"
        pay_type: "5"
        description: "银行卡支付"
    api:
      create_order_url: "https://sb-openapi.zalopay.vn/v2/create"
      query_order_url: "https://sb-openapi.zalopay.vn/v2/query"
      refund_url: "https://sb-openapi.zalopay.vn/v2/refund"
      query_refund_url: "https://sb-openapi.zalopay.vn/v2/query_refund"
# 沙箱环境参数 END
# 正式环境参数 START ZaloPay支付配置
#zalo:
#  pay:
#    configs:
#      - app_id: "4514"
#        key1: "ro6DlS5YYYMpptmW6mrq50qM1bChUGSM"
#        key2: "6UIKRr2rtdQeOnpnihaNOx3qGuGJt50w"
#        pay_type: "3"
#        description: "钱包支付"
#      - app_id: "4515"
#        key1: "WgxqmfbwBfRpa1O1qoMvE3NMryn16oBY"
#        key2: "rY1hgRRjbuEJY603TdiVDGwoVRcJUfw5"
#        pay_type: "4"
#        description: "二维码支付"
#      - app_id: "4516"
#        key1: "Bufv15SQ4OyoqL5cMEHPPRGul6HsBoIm"
#        key2: "3YVsqWXUzee3gbsp9fwXSf8MAb7fnuC3"
#        pay_type: "5"
#        description: "银行卡支付"
#    api:
#      create_order_url: "https://openapi.zalopay.vn/v2/create"
#      query_order_url: "https://openapi.zalopay.vn/v2/query"
#      refund_url: "https://openapi.zalopay.vn/v2/refund"
#      query_refund_url: "https://openapi.zalopay.vn/v2/query_refund"
# 正式环境参数 END


